### File

`packages/eui/packages/components-next/src/lib/components/atoms/eui-icon-toggle/eui-icon-toggle.component.ts`

### Implements

`AfterContentInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-icon-toggle`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-icon-toggle.component.html`

### Index

###### Properties
focusElement Public iconClass Public stateClass
###### Methods
onKeyDown onToggle
###### Inputs
ariaLabel e2eAttr iconClassOff iconClassOn id isChecked isReadOnly keyboardAccessKey styleClass styleClassOff styleClassOn tabindex
###### Outputs
toggle

### Inputs

ariaLabel
Default value : `'Toggle icon'`

e2eAttr
Type : `string`
Default value : `'eui-icon-toggle'`

iconClassOff
Type : `string`

iconClassOn
Type : `string`

id
Type : `string`
Default value : ``eui-icon-toggle-${uniqueId()}``

isChecked
Type : `boolean`
Default value : `false`

isReadOnly
Type : `boolean`
Default value : `false`

keyboardAccessKey
Type : `string`

styleClass
Type : `string`

styleClassOff
Type : `string`
Default value : `'eui-u-color-grey-dark'`

styleClassOn
Type : `string`
Default value : `'eui-u-color-accent-dark'`

tabindex
Default value : `0`

### Outputs

toggle
Type : `EventEmitter<boolean>`

### Methods

onKeyDown
`onKeyDown(event: KeyboardEvent)`
Parameters :
Name | Type | Optional
event | `KeyboardEvent` | No
Returns : `void`

onToggle
`onToggle()`
Returns : `void`

### Properties

focusElement
Type : `ElementRef<HTMLSpanElement>`
Decorators : `@ViewChild('focusElement')`

Public iconClass
Type : `string`

Public stateClass
Type : `string`

# result-matching ""

# No results matching ""